Subject: Re: bug#16993: advice-add hides docstring

From: Juanma Barranquero <[email-masked]>
Date: Wed, 12 Mar 2014 20:49:52 +0100

On Wed, Mar 12, 2014 at 8:34 PM, Glenn Morris <[email-masked]> wrote:

> I think this is because substitute-command-keys (in describe-function-1)
> removes text properties (per its documentation).

Aha, I tried with two test functions, one with a key binding in its
doc (\\[universal-argument]) and the other without, and indeed, the
first one gets its advice info's font-locking removed and the other
doesn't.

I'll try to come with an easy fix, if at all possible, unless you beat
me to it (feel free to ;-)

Still, the other problem (docstrings missing) is much more serious.

Thanks,

   J